Get studies and modes
get
/ec-auth-svc/rest/v1.0/studies
Retrieves the studies and the modes which are assigned to a given user.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object StudyAndModesDto v1.0
Title:
StudyAndModesDto v1.0Details of a study including the unique UUID and the assignment modes for the user.
Nested Schema : StudyAndModesDto v1.0
Type:
objectTitle:
StudyAndModesDto v1.0Details of a study including the unique UUID and the assignment modes for the user.
Show Source
-
modes: array
modes
List of user assignment modes in the study
-
studyid: string
(uuid)
Unique identifier for the study
Nested Schema : modes
Type:
arrayList of user assignment modes in the study
Show Source
-
Array of:
string
List of user assignment modes in the studyExample:
["active","test"]
Example:
[
"active",
"test"
]Examples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object